Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.realm
Class LockOutRealm.LockRecord

    java.lang.Object
      org.apache.catalina.realm.LockOutRealm.LockRecord

Enclosing class:
  LockOutRealm

    protected static class LockOutRealm.LockRecord

extends Object

Constructor Summary
`protected` | `LockOutRealm.LockRecord()`

Method Summary
`int` | `getFailures()`
`long` | `getLastFailureTime()`
`void` | `registerFailure()`
`void` | `setFailures(int theFailures)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LockOutRealm.LockRecord

    protected LockOutRealm.LockRecord()

Method Detail

### getFailures

    public int getFailures()

### setFailures

    public void setFailures(int theFailures)

### getLastFailureTime

    public long getLastFailureTime()

### registerFailure

    public void registerFailure()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache Tomcat 7.0.29
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2012 Apache Software Foundation. All Rights Reserved.